using System;
using System.IO;
using System.Collections.Generic;
using System.Text;

namespace Zapisywanie_do_Pliku
{
   class MainClass
   {
      public static void Main(string[] args)
      {
         string origString =
          "Nigdy nie widzialem zadnego autora, który bylby swiadom tego, " +
          "ze jest pewna radykalna róznica pomiedzy faktem, a domyslem.\n" +
          " - Mark Twain";

         // stwórz plik, zapisz do niego i zapisz go
         FileStream fs = new FileStream("cytat.txt", FileMode.Create);
         fs.Write(ASCIIEncoding.ASCII.GetBytes(origString), 0,
          origString.Length);
         fs.Close();


         string addString =
           "\n\nPrzyjaciele, dobre ksiazki i uspione sumienie: " +
           "to jest idealne zycie.\n" +
           " - Mark Twain";

         fs = new FileStream("cytat.txt", FileMode.Append);
         fs.Write(ASCIIEncoding.ASCII.GetBytes(addString), 0, addString.Length);
         fs.Close();


         StreamWriter sw = File.CreateText("cytat2.txt");
         sw.Write(origString);
         sw.Write(addString);
         sw.Close();


         byte[] fileBytes = new byte[origString.Length + addString.Length];
         fs = new FileStream("cytat.txt", FileMode.Open);
         fs.Read(fileBytes, 0, (int)fs.Length);
         Console.WriteLine("Cytat z pliku:");
         Console.WriteLine(ASCIIEncoding.ASCII.GetString(fileBytes));
         fs.Close();

         StreamReader sr = File.OpenText("cytat2.txt");
         Console.WriteLine("\n\nCaly plik:\n" + sr.ReadToEnd());
         sr.Close();
      }
   }
}
